Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006036TestLinkRequirement Managementpublic2013-11-11 12:402013-11-17 09:53
ReporterKarenNyre 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOS(Windows 7 Business Edition SP 1OS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0006036: When trying to view requiremeent versions, the grouping label shows "Array.version Array version"
DescriptionRequirements managment: When trying to view requiremeent versions, the grouping label shows "Array.version Array version"

Probably the GUI frontend text is still missing.

The Event log indicates errors while loading the view.
Steps To Reproduce1. Create a requirement-spec folder
2. Create a requirement
(2b. Add data and file attachment to the requirement)
3. Create a new revision - add a comment
4. Create a new version - add a comment
5. Try to view the versions of this requirement.
Additional InformationThe event log shows while trying to load a requirement which has 2 versions:

Example:



When opening the Requirement for viewing, event messages indicate that GUI errors occur

Event messages (latest at the top):



Log level WARNING
Timestamp 11/11/2013 13:24:14
Source GUI
Description E_NOTICE Array to string conversion - in C:\Program Files\Apache Software Foundation\Apache2.4\htdocs\testlink-1.9.9-fixes\gui\templates_c\b184c93ce34bff177aef92e2ae5a11084b7330d4.file.reqViewVersionsViewer.tpl.php - Line 67



Log level WARNING
Timestamp 11/11/2013 13:24:14
Source GUI
Description E_NOTICE Array to string conversion - in C:\Program Files\Apache Software Foundation\Apache2.4\htdocs\testlink-1.9.9-fixes\gui\templates_c\b184c93ce34bff177aef92e2ae5a11084b7330d4.file.reqViewVersionsViewer.tpl.php - Line 68


Log level WARNING
Timestamp 11/11/2013 13:24:13
Source GUI
Description E_NOTICE Array to string conversion - in C:\Program Files\Apache Software Foundation\Apache2.4\htdocs\testlink-1.9.9-fixes\gui\templates_c\b184c93ce34bff177aef92e2ae5a11084b7330d4.file.reqViewVersionsViewer.tpl.php - Line 67



Log level WARNING
Timestamp 11/11/2013 13:24:13
Source GUI
Description E_NOTICE Array to string conversion - in C:\Program Files\Apache Software Foundation\Apache2.4\htdocs\testlink-1.9.9-fixes\gui\templates_c\b184c93ce34bff177aef92e2ae5a11084b7330d4.file.reqViewVersionsViewer.tpl.php - Line 68



Log level WARNING
Timestamp 11/11/2013 13:24:13
Source GUI
Description E_NOTICE Array to string conversion - in C:\Program Files\Apache Software Foundation\Apache2.4\htdocs\testlink-1.9.9-fixes\gui\templates_c\7a2d2af0c7f358c33c6bcea7739e0e45855e070b.file.reqViewVersions.tpl.php - Line 558



WARNING
Timestamp 11/11/2013 13:24:13
Source GUI
Description E_NOTICE Array to string conversion - in C:\Program Files\Apache Software Foundation\Apache2.4\htdocs\testlink-1.9.9-fixes\gui\templates_c\7a2d2af0c7f358c33c6bcea7739e0e45855e070b.file.reqViewVersions.tpl.php - Line 559


TagsNo tags attached.
Database (MySQL,Postgres,etc)Windows 7 Professional SP 1
BrowserChrome Version 30.0.1599.101 m
PHP VersionPHP Version 5.5.5 with MSVC11 (Visual C++ 2012)
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon RequirementsView-ReqVersionLabelNotResolved.JPG [^] (229,783 bytes) 2013-11-11 12:40

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0020005)
fman (administrator)
2013-11-11 21:33

https://gitorious.org/testlink-ga/testlink-code/commit/516086ba8b8b4a9e799f8771e9612d2789e3e846#lib/requirements/reqView.php [^]
(0020044)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-11-11 12:40 KarenNyre New Issue
2013-11-11 12:40 KarenNyre File Added: RequirementsView-ReqVersionLabelNotResolved.JPG
2013-11-11 20:39 fman Assigned To => fman
2013-11-11 20:39 fman Status new => assigned
2013-11-11 21:31 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-11 21:33 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-11-11 21:33 fman Note Added: 0020005
2013-11-11 21:33 fman Status assigned => resolved
2013-11-11 21:33 fman Resolution open => fixed
2013-11-11 21:33 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020044
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker